> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all releases

GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/releases

Returns releases for the environment, cursor-paginated. Filter by ID, creator, status, entity membership, and `title[match]`.

Reference: https://contentful.com/developers/docs/references/content-management-api/releases/get-all-releases

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string

### Query parameters

- `sys.schemaVersion` (enum, optional) — Schema version to filter releases. Use 'Release.v2' for timeline releases format.
  - Allowed values: `Release.v2`

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

### Releases

**Response**

```json
{
  "items": [
    {
      "entities": [
        {
          "items": [
            {
              "id": "",
              "linkType": "",
              "type": "Link"
            }
          ],
          "sys": {
            "type": "Array"
          }
        }
      ],
      "sys": {
        "archivedAt": "2020-01-01T13:00:00.000Z",
        "archivedBy": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        },
        "createdAt": "2025-11-04T09:58:58.000Z",
        "createdBy": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        },
        "environment": {
          "sys": {
            "id": "staging",
            "linkType": "Environment",
            "type": "Link"
          }
        },
        "space": {
          "sys": {
            "id": "yadj1kx9rmg0",
            "linkType": "Space",
            "type": "Link"
          }
        },
        "status": "",
        "type": "Release",
        "updatedAt": "2025-11-04T09:58:58.000Z",
        "updatedBy": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        },
        "version": 0
      },
      "title": ""
    }
  ],
  "limit": 0,
  "sys": {
    "type": "Array"
  },
  "total": 0
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
.then((space) => space.getEnvironment('<environment-id>'))
.then((environment) => environment.getReleases({ 'entities.sys.id[in]': '<asset_id>,<entry_id>' }))
.then((releases) => console.log(releases))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const releases = await client.release.query({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  query: { 'entities.sys.id[in]': '<asset_id>,<entry_id>' },
});
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```

### Timeline releases

**Response**

```json
{
  "items": [
    {
      "entities": [
        {
          "items": [
            {
              "sys": {
                "id": "",
                "linkType": "",
                "type": "Link"
              }
            },
            "action:"
          ],
          "sys": {
            "type": "Array"
          }
        }
      ],
      "sys": {
        "archivedAt": "2020-01-01T13:00:00.000Z",
        "archivedBy": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        },
        "createdAt": "2025-04-12T15:44:52.000Z",
        "createdBy": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        },
        "environment": {
          "sys": {
            "id": "staging",
            "linkType": "Environment",
            "type": "Link"
          }
        },
        "schemaVersion": "Release.v2",
        "space": {
          "sys": {
            "id": "yadj1kx9rmg0",
            "linkType": "Space",
            "type": "Link"
          }
        },
        "status": "",
        "type": "Release",
        "updatedAt": "2025-04-12T15:44:52.000Z",
        "updatedBy": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        },
        "version": 0
      },
      "title": ""
    }
  ],
  "limit": 0,
  "sys": {
    "type": "Array"
  },
  "total": 0
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
.then((space) => space.getEnvironment('<environment-id>'))
.then((environment) => environment.getReleases({ 'entities.sys.id[in]': '<asset_id>,<entry_id>' }))
.then((releases) => console.log(releases))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const releases = await client.release.query({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  query: { 'entities.sys.id[in]': '<asset_id>,<entry_id>' },
});
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```